package meerkat.voting.output.outputcommands;

import meerkat.voting.controller.callbacks.ControllerCallback;

/**
 * Base class for the commands to put in the output-device queue
 */
public abstract class OutputCommand {
    protected final ControllerCallback callback;

    protected OutputCommand(ControllerCallback callback) {
        this.callback = callback;
    }

    public ControllerCallback getCallback () {
        return this.callback;
    }
}
